<template>
  <div class="bt-container">
      <el-breadcrumb style="font-size: 24px; margin-top: 16px; margin-bottom: 32px;" separator=">">
        <el-breadcrumb-item :to="{ path: '/a/student/NNclass/'+classId }">{{ className }}</el-breadcrumb-item>
        <el-breadcrumb-item>{{ lectureName }}</el-breadcrumb-item>
      </el-breadcrumb>
      <el-row :gutter="20">
        <el-col :span="itemSize+8">
          <el-tabs type="card">
            <el-tab-pane :label="$t('STUDENT_MENU.QUES_SET')">
              <StudentSelfQuiz/>
            </el-tab-pane>
            <el-tab-pane :label="$t('STUDENT_MENU.QUES_EVAL')" v-if="evalFlag">
              <StudentSelfQuizEstimate/>
            </el-tab-pane>
          </el-tabs>
        </el-col>
      </el-row>
  </div>
</template>

<script>
import { mapState } from 'vuex';
import lectureService from '../../services/lectureService';
import StudentSelfQuiz from '../partials/StudentSelfQuiz';
import StudentSelfQuizEstimate from '../partials/StudentSelfQuizEstimate';
import studentService from '../../services/studentService';
import classService from '../../services/classService';

export default {
  name: 'StudentLectureQuiz',
  computed: {
    ...mapState('studentQuestion', ['lectureId']),
  },
  data() {
    return {
      className: '',
      lectureName: '',
      classId: -1,
      lectureType: null,
      itemSize: 24,
      lecId: 0,
      evalFlag: false, // false면 평가 기간 아님, true면 평가 기간
    };
  },
  async created() {
    const vm = this;
    const lid = vm.$route.query.lectureId;
    const res = await lectureService.getLecture({
      lectureId: lid,
    });
    vm.classId = res.data.class_id;
    const res2 = await classService.getClass({
      id: vm.classId,
    });
    vm.lectureType = res.data.type;
    vm.className = res2.data.name;
    vm.lectureName = res.data.name;
    vm.lecId = res.data.lectureId;
    // res.then(function(sre) { // eslint-disable-line
    //   vm.lectureType = sre.data.type;
    //   vm.className = sre.data.name;
    //   vm.classId = sre.data.class_id;
    //   vm.lectureName = sre.data.name;
    //   vm.lecId = sre.data.lectureId;
    // });
    const lhc = studentService.getLectureHomeworkCheck({
      id: lid,
    });
    lhc.then(function(res2) { // eslint-disable-line
      const curTime = Date.now();
      const evalStartTime = Date.parse(res2.data.lecture.scoringStartAt);
      if (evalStartTime < curTime) vm.evalFlag = true;
    });

    // alert('createdAt');
    // const lid = vm.$route.query.lectureId;
    // const res = await lectureService.getLecture({
    //   lectureId: lid,
    // });
    // vm.lectureType = res.data.type;
    // vm.className = res.data.name;
    // vm.classId = res.data.class_id;
    // vm.lectureName = res.data.name;
    // vm.lecId = res.data.lectureId;
  },
  components: {
    StudentSelfQuiz,
    StudentSelfQuizEstimate,
  },
};
</script>

<style scoped>
.el-row {
  margin-bottom: 20px;
}
.grid-content {
  border-radius: 4px;
  min-height: 500px;
}
.bg-purple-light {
  background: #e5e9f2;
}
.statusbar {
  position:fixed;
  left:0px;
  bottom:0px;
  width:100%;
  padding: 8px 0px 5px 0px;
  background:rgba(0, 0, 0, 0.6);
  color: white;
  -webkit-transition: max-height 1s;
  -moz-transition: max-height 1s;
  -ms-transition: max-height 1s;
  -o-transition: max-height 1s;
  transition: max-height 1s;
  overflow: hidden;
  height:100%;
  max-height:25px;
}
</style>
